## org.apache.naming.resources
Class FileDirContext.FileResourceAttributes

    java.lang.Object
      org.apache.naming.resources.ResourceAttributes
          org.apache.naming.resources.FileDirContext.FileResourceAttributes

All Implemented Interfaces:
  javax.naming.directory.Attributes, java.lang.Cloneable, java.io.Serializable

Enclosing class:
  FileDirContext

protected class FileDirContext.FileResourceAttributes
extends ResourceAttributes

This specialized resource attribute implementation does some lazy reading (to speed up simple checks, like checking the last modified date).

See Also:
  Serialized Form

Field Summary
`protected boolean` `accessed`
`protected java.io.File` `file`

Fields inherited from class org.apache.naming.resources.ResourceAttributes
`ALTERNATE_CONTENT_LENGTH, ALTERNATE_CREATION_DATE, ALTERNATE_LAST_MODIFIED, ALTERNATE_TYPE, attributes, collection, COLLECTION_TYPE, CONTENT_LANGUAGE, CONTENT_LENGTH, CONTENT_TYPE, contentLength, creation, CREATION_DATE, creationDate, ETAG, format, formats, LAST_MODIFIED, lastModified, lastModifiedDate, name, NAME, SOURCE, strongETag, TYPE, weakETag`

Constructor Summary
`FileDirContext.FileResourceAttributes(java.io.File file)`

Method Summary
`long` `getContentLength()` Get content length.
`long` `getCreation()` Get creation time.
`java.util.Date` `getCreationDate()` Get creation date.
`long` `getLastModified()` Get last modified time.
`java.util.Date` `getLastModifiedDate()` Get lastModified date.
`java.lang.String` `getName()` Get name.
`java.lang.String` `getResourceType()` Get resource type.
`boolean` `isCollection()` Is collection.

Methods inherited from class org.apache.naming.resources.ResourceAttributes
`clone, get, getAll, getETag, getETag, getIDs, isCaseIgnored, put, put, remove, setCollection, setContentLength, setCreation, setCreationDate, setETag, setLastModified, setLastModified, setLastModifiedDate, setName, setResourceType, size`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### file

    protected java.io.File file

### accessed

    protected boolean accessed

Constructor Detail

### FileDirContext.FileResourceAttributes

    public FileDirContext.FileResourceAttributes(java.io.File file)

Method Detail

### isCollection

    public boolean isCollection()

  Is collection.

  Overrides:
    `isCollection` in class `ResourceAttributes`

### getContentLength

    public long getContentLength()

  Get content length.

  Overrides:
    `getContentLength` in class `ResourceAttributes`
  Returns:
    content length value

### getCreation

    public long getCreation()

  Get creation time.

  Overrides:
    `getCreation` in class `ResourceAttributes`
  Returns:
    creation time value

### getCreationDate

    public java.util.Date getCreationDate()

  Get creation date.

  Overrides:
    `getCreationDate` in class `ResourceAttributes`
  Returns:
    Creation date value

### getLastModified

    public long getLastModified()

  Get last modified time.

  Overrides:
    `getLastModified` in class `ResourceAttributes`
  Returns:
    lastModified time value

### getLastModifiedDate

    public java.util.Date getLastModifiedDate()

  Get lastModified date.

  Overrides:
    `getLastModifiedDate` in class `ResourceAttributes`
  Returns:
    LastModified date value

### getName

    public java.lang.String getName()

  Get name.

  Overrides:
    `getName` in class `ResourceAttributes`
  Returns:
    Name value

### getResourceType

    public java.lang.String getResourceType()

  Get resource type.

  Overrides:
    `getResourceType` in class `ResourceAttributes`
  Returns:
    String resource type

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.